Skip to main content
GET
/
v2
/
agent
/
{agentId}
/
webhooks
cURL
curl --request GET \
  --url https://api.gptmaker.ai/v2/agent/{agentId}/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "onNewMessage": "<string>",
  "onLackKnowLedge": "<string>",
  "onTransfer": "<string>",
  "onFirstInteraction": "<string>",
  "onStartInteraction": "<string>",
  "onFinishInteraction": "<string>",
  "onCreateEvent": "<string>",
  "onCancelEvent": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string
required

ID do agente

Response

Webhooks

onNewMessage
string

Webhook disparado automaticamente sempre que uma nova mensagem chega em um chat.

onLackKnowLedge
string

Webhook disparado quando o agente não sabe responder a uma pergunta.

onTransfer
string

Webhook disparado quando o agente transfere o atendimento para um humano.

onFirstInteraction
string

Webhook disparado automaticamente assim que o primeiro atendimento com o cliente é iniciado.

onStartInteraction
string

Webhook disparado automaticamente sempre que um atendimento com o cliente é iniciado.

onFinishInteraction
string

Webhook disparado automaticamente sempre que um atendimento é finalizado.

onCreateEvent
string

Webhook disparado automaticamente sempre que um agendamento é realizado.

onCancelEvent
string

Webhook disparado automaticamente sempre que um agendamento é cancelado.